{% extends 'base.html' %}

{% block title %}
DRONE | Home
{% endblock title%}

{% block main %}
{% load static %}

<div class="grid-container">
    {% for drone in drones %}
    <div class="grid-item" style="height: 40rem;">
        <a href="{% url 'drone' id=drone.id %}" class="cards-images">
            <img class="crad-imgs showen-img" id="img-1" src="media/{{ drone.images.0.url }}"
                alt="{{ drone.images.0.url }}">
            <img class="crad-imgs hidden-img" id="img-2" src="media/{{ drone.images.1.url }}"
                alt="{{ drone.images.1.url }}">
        </a>
        <div class="crads-body">
            <h3 class="cards-body-title">{{drone.title}}</h3>
            <h4 class="cards-body-description">{{drone.description}}</h4>
            <div id="srars"
                style="text-align: center; display: flex; justify-content: center; width: 100%; margin: 0.5rem;  align-items: center;">
                <a href="https://www.amazon.fr/Ayibagexi-Squeeze-Imprim%C3%A9-dimmatriculation-Voiture/dp/B07FSZQK27/ref=sr_1_4?crid=27KQBFIHJ6NQV&keywords=drone%2Bdji&qid=1677684590&s=electronics&sprefix=drone%2B%2Celectronics%2C156&sr=1-4&th=1"
                    style="margin-right: 1rem;">Amazon</a>
                <div class="stars-holder" data-stars-holder-value="{{ drone.rating }}"
                    style="display: flex; justify-content: start; gap: 1rem; text-align: center;"
                    title=" {{ drone.rating }} / 5 étoiles sur Amazon">

                </div>
            </div>
            <h5 class="cards-body-info">Seulement à {{drone.price}} €</h5>
        </div>
    </div>
    {% endfor %}
</div>

<script src="{% static 'assets/js/script.js' %}"></script>
<script>
    changeImagePos();
    createStar();
</script>

{% endblock main%}